# Method: orders.lines.assignments.list

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/list#body.request_body)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/list#body.ListAssignmentsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/list#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/list#examples)

Lists assignments for a line.

- For example GET /v1beta1/orders/123/lines/321/assignments

### HTTP request

`GET https://dv360outofhomeseller.googleapis.com/v1beta1/{parent=orders/*/lines/*}/assignments`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent resource name, for example, "orders/123/lines/321". |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "assignments": [ { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments#Assignment`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `assignments[]` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments#Assignment`)`` The list of assignments. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1beta1/orders.lines.assignments/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `assignments.list` method to retrieve the next page of results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).